#% define spotify_make_ver 20130831git
Name:          spotify
Version:       @SRPMVERSION@
Release:       @SRPMRELEASE@
Summary:       Listen to music using Spotify
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        @vendor@
Distribution:  @distribution@
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.spotify.com/us/download/previews/
## GITSOURCE https://github.com/leamas/spotify-make.git master
Source:        https://github.com/leamas/spotify-make.git/master/spotify-make-%{version}.zip
Source1:       LICENSE
License:       Not distributable
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Listen to music using Spotify.

%prep
%setup -q -n spotify-make-master

%build
./configure \
   --prefix=/opt/spotify \
   --mandir=%{_mandir}

make download

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -d -m0755 %{buildroot}%{_datadir}
mv %{buildroot}/opt/spotify/share/applications %{buildroot}%{_datadir}
mv %{buildroot}/opt/spotify/share/icons %{buildroot}%{_datadir}

install -d -m0755 %{buildroot}%{_bindir}
ln -s /opt/spotify/bin/spotify %{buildroot}%{_bindir}/spotify

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
if [ $1 -ge 1 ]; then
   rm -f /opt/spotify/share/spotify-client/Data/locales
   rm -f /opt/spotify/share/spotify-client/Data/resources.zip
   rm -f /opt/spotify/lib/spotify-client/Data
fi
:

%post
if [ $1 -ge 1 ]; then
   gtk-update-icon-cache --ignore-theme-index %{_datadir}/icons/hicolor
   desktop-file-validate %{_datadir}/applications/spotify.desktop
   update-desktop-database  %{_datadir}/applications
fi
:

%postun
if [ $1 -eq 0 ]; then
   gtk-update-icon-cache --ignore-theme-index %{_datadir}/icons/hicolor
   desktop-file-validate %{_datadir}/applications/spotify.desktop
   update-desktop-database  %{_datadir}/applications
fi
:

%files
%defattr(-,root,root)
%{_bindir}/spotify
%{_datadir}/applications/spotify.desktop
%{_datadir}/icons/hicolor/*/apps/spotify-client.png
%dir /opt/spotify
%dir /opt/spotify/bin
/opt/spotify/bin/spotify
%dir /opt/spotify/lib
%dir /opt/spotify/lib/spotify-client
/opt/spotify/lib/spotify-client/*
%dir /opt/spotify/share
%dir /opt/spotify/share/spotify-client/
/opt/spotify/share/spotify-client/*
%{_mandir}/man1/spotify.1.gz

%changelog
* Sat Aug 31 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1.55.gbdd3b79.203-1mamba
- package created by silvan using the webbuild interface
